#57194 closed defect (fixed)

texlive-bin @0:2018.47642_6 won't build on PPC Mac OS X 10.5.8, Leopard, because of invalid conversion from 'const char*' to 'char*' in pdftexdir/pdftoepdf.cc:320:30

Reported by: ballapete (Peter Dyballa) Owned by: drkp (Dan Ports)
Priority: Normal Milestone:
Component: ports Version: 2.5.3
Keywords: leopard Cc:
Port: texlive-bin

Description

Poppler was upgraded and port found:

Could not open /opt/local/lib/libpoppler.79.dylib: Error opening or reading file (referenced from /opt/local/libexec/texlive/binaries/luatex)
DEBUG: Marking /opt/local/libexec/texlive/binaries/luatex as broken
DEBUG: Marking /opt/local/libexec/texlive/binaries/luatex53 as broken
DEBUG: Marking /opt/local/libexec/texlive/binaries/pdftex as broken
DEBUG: Marking /opt/local/libexec/texlive/binaries/pdftosrc as broken
DEBUG: Marking /opt/local/libexec/texlive/binaries/xetex as broken
--->  Found 5 broken files, matching files to ports
--->  Found 1 broken port, determining rebuild order
DEBUG: Broken: texlive-bin
DEBUG: Processing port texlive-bin @0:2018.47642_6 +x11 
DEBUG: Processing port dvipng @0:1.15_3  
DEBUG: Processing port texlive-bin-extra @0:47446_0 +doc 
DEBUG: Processing port texlive-bin-extra @0:47446_1 +doc 
DEBUG: Processing port dvipng @0:1.15_4  
DEBUG: Processing port dvisvgm @0:2.3.4_3  
DEBUG: Processing port texlive-basic @0:47434_0 +doc 
DEBUG: Processing port pgf @0:3.0.1_0  
DEBUG: Processing port texlive-latex-recommended @0:47392_0 +doc 
DEBUG: Processing port dblatex @0:0.3.10_2  
DEBUG: Processing port pdfjam @0:2.08_0  
DEBUG: Processing port texlive-latex-extra @0:47410_0 +doc 
DEBUG: Processing port texlive-pictures @0:47373_0 +doc 
DEBUG: Processing port texlive-fonts-recommended @0:45777_0 +doc 
DEBUG: Processing port texlive-math-science @0:47412_0 +doc 
DEBUG: Processing port texlive-latex @0:47377_0 +doc 
DEBUG: Processing port latexmk @0:4.55_0  
You can always run 'port rev-upgrade' again to fix errors.
The following ports will be rebuilt: texlive-bin @2018.47642+x11
Continue? [Y/n]: DEBUG: epoch: in tree: 0 installed: 0

LuaTeX is no problem, but pdfTeX is one:

mv -f pdftexdir/.deps/libpdftex_a-mapfile.Tpo pdftexdir/.deps/libpdftex_a-mapfile.Po
/opt/local/bin/g++-mp-6 -DHAVE_CONFIG_H -I. -I./w2c   -I/opt/local/var/macports/build/_opt_local_var_macports_sources_nue.de.rsync.macports.org_macports_release_tarballs_ports_tex_texlive-bin/texlive-bin/work/texlive-source-2018.47642-stripped/texk -I/opt/local/var/macports/build/_opt_local_var_macports_sources_nue.de.rsync.macports.org_macports_release_tarballs_ports_tex_texlive-bin/texlive-bin/work/texlive-source-2018.47642-stripped/texk  -I/opt/local/include/libpng16 -DPOPPLER_VERSION=\"0.69.0\" -I/opt/local/include/poppler -I./libmd5 -I./pdftexdir -isystem/opt/local/include -Wreturn-type -Wno-write-strings -pipe -Os -D_GLIBCXX_USE_CXX11_ABI=0 -D_GLIBCXX_USE_CXX11_ABI=0 -m32 -MT pdftexdir/libpdftex_a-pdftoepdf.o -MD -MP -MF pdftexdir/.deps/libpdftex_a-pdftoepdf.Tpo -c -o pdftexdir/libpdftex_a-pdftoepdf.o `test -f 'pdftexdir/pdftoepdf.cc' || echo './'`pdftexdir/pdftoepdf.cc
pdftexdir/pdftoepdf.cc: In function 'void copyFontDict(Object*, InObj*)':
pdftexdir/pdftoepdf.cc:320:30: error: invalid conversion from 'const char*' to 'char*' [-fpermissive]
         key = obj->dictGetKey(i);
               ~~~~~~~~~~~~~~~^~~
pdftexdir/pdftoepdf.cc: In function 'void copyFontResources(Object*)':
pdftexdir/pdftoepdf.cc:457:37: error: invalid conversion from 'const char*' to 'char*' [-fpermissive]
             copyFont(obj->dictGetKey(i), &fontRef);
                      ~~~~~~~~~~~~~~~^~~
pdftexdir/pdftoepdf.cc:385:13: note:   initializing argument 1 of 'void copyFont(char*, Object*)'
 static void copyFont(char *tag, Object * fontRef)
             ^~~~~~~~
pdftexdir/pdftoepdf.cc: In function 'void write_epdf()':
pdftexdir/pdftoepdf.cc:981:51: error: use of deleted function 'void Object::dictAdd(char*, Object&&)'
                                   dic1.getValNF(i));
                                                   ^
In file included from pdftexdir/pdftoepdf.cc:55:0:
/opt/local/include/poppler/Object.h:276:8: note: declared here
   void dictAdd(char *key, Object &&val) = delete;
        ^~~~~~~
pdftexdir/pdftoepdf.cc:1004:35: error: invalid conversion from 'const char*' to 'char*' [-fpermissive]
             key = obj1->dictGetKey(i);
                   ~~~~~~~~~~~~~~~~^~~
make[5]: *** [pdftexdir/libpdftex_a-pdftoepdf.o] Error 1
make[5]: Leaving directory `/opt/local/var/macports/build/_opt_local_var_macports_sources_nue.de.rsync.macports.org_macports_release_tarballs_ports_tex_texlive-bin/texlive-bin/work/texlive-source-2018.47642-stripped/texk/web2c'

Installed are:

  texlive-basic @47434_0+doc (active) platform='darwin 9' archs='noarch' date='2018-06-25T03:01:54+0200'
  texlive-bin @2018.47642_6+x11 (active) platform='darwin 9' archs='ppc' date='2018-09-27T23:19:27+0200'
  texlive-bin-extra @47446_1+doc (active) platform='darwin 9' archs='noarch' date='2018-09-28T00:16:57+0200'
  texlive-common @2018_0 (active) platform='darwin 9' archs='noarch' date='2018-06-25T00:22:44+0200'
  texlive-fonts-recommended @45777_0+doc (active) platform='darwin 9' archs='noarch' date='2018-06-25T08:31:54+0200'
  texlive-latex @47377_0+doc (active) platform='darwin 9' archs='noarch' date='2018-06-25T03:17:14+0200'
  texlive-latex-extra @47410_0+doc (active) platform='darwin 9' archs='noarch' date='2018-09-08T20:38:19+0200'
  texlive-latex-recommended @47392_0+doc (active) platform='darwin 9' archs='noarch' date='2018-06-25T03:38:59+0200'
  texlive-math-science @47412_0+doc (active) platform='darwin 9' archs='noarch' date='2018-06-25T08:40:02+0200'
  texlive-pictures @47373_0+doc (active) platform='darwin 9' archs='noarch' date='2018-06-25T08:49:37+0200'

Attachments (1)

main.log (841.8 KB) - added by ballapete (Peter Dyballa) 23 months ago.
Main.log from PPC Leopard

Download all attachments as: .zip

Change History (5)

Changed 23 months ago by ballapete (Peter Dyballa)

Attachment: main.log added

Main.log from PPC Leopard

comment:1 Changed 23 months ago by jmroot (Joshua Root)

Cc: dports@… removed
Owner: set to drkp
Status: newassigned

comment:2 Changed 23 months ago by kencu (Ken)

I think this has been fixed with the recent texlive-poppler patches.

$ port -v installed texlive-bin
The following ports are currently installed:
  texlive-bin @2018.47642_7+x11 (active) platform='darwin 9' archs='ppc' date='2018-09-28T18:21:34-0700'

I'd suggest you update and try the install again.

comment:3 in reply to:  2 Changed 23 months ago by ballapete (Peter Dyballa)

Replying to kencu:

I'd suggest you update and try the install again.

Too late – a binary package arrived!

comment:4 Changed 23 months ago by kencu (Ken)

Resolution: fixed
Status: assignedclosed
Note: See TracTickets for help on using tickets.